cURL
curl --request GET \
--url https://om-staging.mylifeforce.com/api/m2m/patient/{patientId}/notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://om-staging.mylifeforce.com/api/m2m/patient/{patientId}/notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://om-staging.mylifeforce.com/api/m2m/patient/{patientId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "6004582",
"name": "RG - Async Consultation/Recommendation",
"created_at": "2022-04-18T09:46:00Z",
"locked_at": null,
"finished": true,
"custom_module_form": {
"id": "567345",
"name": "Initial Telehealth Note"
},
"filler": {
"id": "1143305",
"first_name": "Brett",
"last_name": "Ulrich",
"avatar_url": "https://s3.amazonaws.com/healthie-production/image/1143305/medium/mountain_profile.jpeg"
},
"locked_by": null,
"form_answers": [
{
"id": "910722521",
"label": "Skip Async Note",
"answer": "True",
"custom_module_id": "23218578",
"custom_module": {
"mod_type": "checkbox"
}
}
]
}
]
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Patient
Get Patient Notes
Returns a list of notes for a patient
GET
/
patient
/
{patientId}
/
notes
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the patient in question A universally unique identifier.
Example:
"29ea9012-c622-4851-a57a-9327abd21198"
Query Parameters
Comma-separated list of note types to include
Available options:
ASYNC_CONSULTATION, CLINICAL_RX_RECOMMENDATION, FOLLOW_UP_ASYNC_CONSULTATION, FOLLOW_UP_CLINICAL_RX_RECOMMENDATION, FOLLOWON_ASSESSMENT, FOLLOWUP_HQV3, HEALTH_COACH_QUARTERLY_NOTE, INITIAL_HQV3, INTAKE_ASSESSMENT, INTAKE_PLUS_CLINICAL_ASSESSMENT, INTERNAL_CLINICAL_NOTE, LIFESCORE Example:
"FOLLOW_UP_CLINICAL_RX_RECOMMENDATION,HEALTH_COACH_QUARTERLY_NOTE"
The number of notes to return
Whether to return only locked notes
Response
Successful response
Show child attributes
Show child attributes